Account, security & notifications

Get Transition History

Lists PersonTransitionEvent records for a roleInOrg via PersonTransitionService.

GEThttps://api.toku.com/hris/get-transition-history

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-transition-history?roleInOrgID=%3CroleInOrgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "events": [
    {
      "personTransitionEventID": "string",
      "roleInOrgID": "string",
      "orgID": "string",
      "previousEmploymentType": "CONTRACTOR",
      "newEmploymentType": "CONTRACTOR",
      "previousRole": "TOKU_ADMIN",
      "newRole": "TOKU_ADMIN",
      "performedByID": "string",
      "occurredAt": "string",
      "reason": "string",
      "previousContractEndDate": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

roleInOrgIDstring<uuid>required

Response

200Successful response
eventsobject[]required
Show child attributes
personTransitionEventIDstringrequired
roleInOrgIDstring | nullrequired
orgIDstringrequired
previousEmploymentTypestring | nullrequired

Available options: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER, null

newEmploymentTypestringrequired

Available options: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER

previousRolestring | nullrequired

Available options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT, null

newRolestring | nullrequired

Available options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT, null

performedByIDstring | nullrequired
occurredAtstringrequired
reasonstring | nullrequired
metadataanyrequired
previousContractEndDatestring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits